petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetBlockSizes

Returns the matrix block row and column sizes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBlockSizes(Mat mat,PetscInt *rbs, PetscInt *cbs)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

rbs -row block size
cbs -column block size

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix. If you pass a different block size for the columns than the rows, the row block size determines the square block storage.

If a block size has not been set yet this routine returns 1.

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSize(), MatSetBlockSizes()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages